export default class TargetManager {
  private target: string|null = null

  setTarget (route: string|null): void {
    this.target = route
  }

  hasTarget (): boolean {
    return this.target !== null
  }

  popTarget (): string|null {
    const target = this.target

    this.target = null

    return target
  }
}
