export type KlinkDetails = {
  title: string
  body: string
  sharedWith: string[]
  notifications?: boolean
}

export type ViewKlinkDetails = {
  token: string
  url: string
  editable: false
  title: string
  data: string
}

export type EditKlinkDetails = {
  token: string
  url: string
  editable: true
  title: string
  data: string
  sharedWith: string[]
  notifications: boolean
}

export type KlinkList = {
  tokens: EditKlinkDetails[]
  page: number
  max_page: number
}

export type AuthDetails = {
  phone: string
  tfaMissing: boolean
}

export type CurrentUserDetails = {
  accessToken: string
  expirationDate: Date
  phoneNumber: string
}

export type PhoneNumber = {
  phone_number: string
}
